summaryrefslogtreecommitdiffstats
path: root/source/x
diff options
context:
space:
mode:
Diffstat (limited to 'source/x')
-rw-r--r--source/x/x11/build/xf86-input-libinput2
-rw-r--r--source/x/x11/build/xf86-video-ati2
-rw-r--r--source/x/x11/configure/xf86-video-ati13
-rwxr-xr-xsource/x/x11/src/get-xf86-video-ati.sh47
4 files changed, 62 insertions, 2 deletions
diff --git a/source/x/x11/build/xf86-input-libinput b/source/x/x11/build/xf86-input-libinput
index 00750edc0..d00491fd7 100644
--- a/source/x/x11/build/xf86-input-libinput
+++ b/source/x/x11/build/xf86-input-libinput
@@ -1 +1 @@
-3
+1
diff --git a/source/x/x11/build/xf86-video-ati b/source/x/x11/build/xf86-video-ati
index 00750edc0..d00491fd7 100644
--- a/source/x/x11/build/xf86-video-ati
+++ b/source/x/x11/build/xf86-video-ati
@@ -1 +1 @@
-3
+1
diff --git a/source/x/x11/configure/xf86-video-ati b/source/x/x11/configure/xf86-video-ati
new file mode 100644
index 000000000..291eb9b94
--- /dev/null
+++ b/source/x/x11/configure/xf86-video-ati
@@ -0,0 +1,13 @@
+CFLAGS=$SLKCFLAGS \
+CXXFLAGS=$SLKCFLAGS \
+./autogen.sh \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --infodir=/usr/info \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/${PKGNAME}-${MODULAR_PACKAGE_VERSION} \
+ --with-udev-rules-dir=/lib/udev/rules.d \
+ --disable-static \
+ --build=$ARCH-slackware-linux
diff --git a/source/x/x11/src/get-xf86-video-ati.sh b/source/x/x11/src/get-xf86-video-ati.sh
new file mode 100755
index 000000000..75f4dd9a4
--- /dev/null
+++ b/source/x/x11/src/get-xf86-video-ati.sh
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+# Copyright 2016, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Pull a stable branch + patches
+BRANCH=${1:-master}
+
+# Clear download area:
+rm -rf xf86-video-ati
+
+# Clone repository:
+git clone git://git.freedesktop.org/git/xorg/driver/xf86-video-ati/
+
+# checkout $BRANCH:
+( cd xf86-video-ati
+ git checkout $BRANCH || exit 1
+)
+
+HEADISAT="$( cd xf86-video-ati && git log -1 --format=%h )"
+DATE="$( cd xf86-video-ati && git log -1 --format=%ad --date=format:%Y%m%d )"
+# Cleanup. We're not packing up the whole git repo.
+( cd xf86-video-ati && find . -type d -name ".git*" -exec rm -rf {} \; 2> /dev/null )
+mv xf86-video-ati xf86-video-ati-${DATE}_${HEADISAT}
+tar cf xf86-video-ati-${DATE}_${HEADISAT}.tar xf86-video-ati-${DATE}_${HEADISAT}
+xz -9 -f xf86-video-ati-${DATE}_${HEADISAT}.tar
+rm -rf xf86-video-ati-${DATE}_${HEADISAT}
+echo
+echo "xf86-video-ati branch $BRANCH with HEAD at $HEADISAT packaged as xf86-video-ati-${DATE}_${HEADISAT}.tar.xz"
+echo